Roles and Permissions
Create Role
POST /api/organizations/{organizationPk}/groups/
Parameters
organizationPk
✅
string
A UUID string identifying this Organization ID
Request Body
Request Parameters
name
string
Yes
organization
string (uuid)
No
permissions
array[string]
Yes
Request Structure Example
{
"name": string
"organization"?: string (uuid) // optional
"permissions": [
string (uuid)
]
}Request Example Value
Code Examples
Response Body
Status Code: 201
Response Schema Example
Response Example Value
Bulk Add Role Members
POST /api/organizations/{organizationPk}/groups/{groupPk}/group-members/bulk-create/
Parameters
groupPk
✅
string
organizationPk
✅
string
A UUID string identifying this organization ID
Request Body
Request Parameters
members
array[string]
Yes
Request Structure Example
Request Example Value
Code Examples
Response Body
Status Code: 201
Response Schema Example
Response Example Value
Bulk Assign AI Assistants to Roles
POST /api/organizations/{organizationPk}/groups/{groupPk}/group-chatbots/bulk-create/
Parameters
groupPk
✅
string
organizationPk
✅
string
A UUID string identifying this Organization ID
page
❌
integer
A page number within the paginated result set.
pageSize
❌
integer
Number of results to return per page.
query
❌
string
Request Body
Request Parameters
chatbots
array[string]
Yes
Request Structure Example
Request Example Value
Code Examples
Response Body
Status Code: 201
Response Schema Example
Response Example Value
List Permissions
GET /api/permissions/
Code Examples
Response Body
Status Code: 200
Response Schema Example
Response Example Value
Get Group List
GET /api/organizations/{organizationPk}/groups/
Parameters
organizationPk
✅
string
A UUID string identifying this Organization ID
page
❌
integer
A page number within the paginated result set.
pageSize
❌
integer
Number of results to return per page.
query
❌
string
Code Examples
Response Body
Status Code: 200
Response Schema Example
Response Example Value
Get Role Details
GET /api/organizations/{organizationPk}/groups/{id}/
Parameters
id
✅
string
A UUID string identifying this Group.
organizationPk
✅
string
A UUID string identifying this Organization ID
Code Examples
Response Body
Status Code: 200
Response Schema Example
Response Example Value
Get Role Member List
GET /api/organizations/{organizationPk}/groups/{groupPk}/group-members/
Parameters
groupPk
✅
string
organizationPk
✅
string
A UUID string identifying this organization ID
page
❌
integer
A page number within the paginated result set.
pageSize
❌
integer
Number of results to return per page.
query
❌
string
Code Examples
Response Body
Status Code: 200
Response Schema Example
Response Example Value
View a Specific Role Member
GET /api/organizations/{organizationPk}/groups/{groupPk}/group-members/{id}/
Parameters
groupPk
✅
string
id
✅
string
A UUID string identifying this Group Member.
organizationPk
✅
string
A UUID string identifying this Organization ID
Code Examples
Response Body
Status Code: 200
Response Schema Example
Response Example Value
Get Role's AI Assistant List
GET /api/organizations/{organizationPk}/groups/{groupPk}/group-chatbots/
Parameters
groupPk
✅
string
organizationPk
✅
string
A UUID string identifying this Organization ID
page
❌
integer
A page number within the paginated result set.
pageSize
❌
integer
Number of results to return per page.
query
❌
string
Code Examples
Response Body
Status Code: 200
Response Schema Example
Response Example Value
Update Role Permissions
PUT /api/organizations/{organizationPk}/groups/{id}/
Parameters
id
✅
string
A UUID string identifying this Group.
organizationPk
✅
string
A UUID string identifying this Organization ID
Request Body
Request Parameters
name
string
Yes
organization
string (uuid)
No
permissions
array[string]
Yes
Request Structure Example
Request Example Value
Code Examples
Response Body
Status Code: 200
Response Schema Example
Response Example Value
Partially Update Role Permissions
PATCH /api/organizations/{organizationPk}/groups/{id}/
Parameters
id
✅
string
A UUID string identifying this Group.
organizationPk
✅
string
A UUID string identifying this Organization ID
Request Body
Request Parameters
name
string
No
organization
string (uuid)
No
permissions
array[string]
No
Request Structure Example
Request Example Value
Code Examples
Response Body
Status Code: 200
Response Schema Example
Response Example Value
Delete Role
DELETE /api/organizations/{organizationPk}/groups/{id}/
Parameters
id
✅
string
A UUID string identifying this Group.
organizationPk
✅
string
A UUID string identifying this Organization ID
Code Examples
Response
204
No response body
Remove Role Member
DELETE /api/organizations/{organizationPk}/groups/{groupPk}/group-members/{id}/
Parameters
groupPk
✅
string
id
✅
string
A UUID string identifying this Group Member.
organizationPk
✅
string
A UUID string identifying this Organization ID
Code Examples
Response Body
204
No response body
Remove AI Assistant from Role
DELETE /api/organizations/{organizationPk}/groups/{groupPk}/group-chatbots/{id}/
Parameters
groupPk
✅
string
id
✅
string
A UUID string identifying this Group Chatbot.
organizationPk
✅
string
A UUID string identifying this Organization ID
Code Examples
Response Body
204
No response body
Last updated
Was this helpful?
